OpenVDB: RootNode< ChildT >::BaseIter< RootT > Class Template Reference

OpenVDB 12.0.0 |

Loading...
Searching...
No Matches
Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
RootNode< ChildT >::BaseIter< RootT > Class Template Reference

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for RootNode< ChildT >::BaseIter< RootT >:

## Public Member Functions
__hostdev__ | operator bool () const
__hostdev__ uint32_t | pos () const
__hostdev__ void | next ()
__hostdev__ TileT * | tile () const
__hostdev__ CoordType | getOrigin () const
__hostdev__ CoordType | getCoord () const

## Protected Types
using | DataT = typename util::match_const<DataType, RootT>::type
using | TileT = typename util::match_const<Tile, RootT>::type

## Protected Member Functions
__hostdev__ | BaseIter (DataT *data=nullptr, uint32_t n=0)

## Protected Attributes
DataT * | mData
uint32_t | mPos
uint32_t | mSize

## Member Typedef Documentation

## ◆ DataT

template<typename ChildT>
template<typename RootT>

using DataT = typename util::match_const<DataType, RootT>::type
| protected

## ◆ TileT

template<typename ChildT>
template<typename RootT>

using TileT = typename util::match_const<Tile, RootT>::type
| protected

## Constructor & Destructor Documentation

## ◆ BaseIter()

template<typename ChildT>
template<typename RootT>

__hostdev__ BaseIter | ( | DataT * | data = nullptr,
|  | uint32_t | n = 0 )
| inlineprotected

## Member Function Documentation

## ◆ getCoord()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getCoord | ( |  | ) | const
| inline

## ◆ getOrigin()

template<typename ChildT>
template<typename RootT>

__hostdev__ CoordType getOrigin | ( |  | ) | const
| inline

## ◆ next()

template<typename ChildT>
template<typename RootT>

__hostdev__ void next | ( |  | ) |
| inline

## ◆ operator bool()

template<typename ChildT>
template<typename RootT>

__hostdev__ operator bool | ( |  | ) | const
| inline

## ◆ pos()

template<typename ChildT>
template<typename RootT>

__hostdev__ uint32_t pos | ( |  | ) | const
| inline

## ◆ tile()

template<typename ChildT>
template<typename RootT>

__hostdev__ TileT * tile | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ mData

template<typename ChildT>
template<typename RootT>

DataT* mData
| protected

## ◆ mPos

template<typename ChildT>
template<typename RootT>

uint32_t mPos
| protected

## ◆ mSize

template<typename ChildT>
template<typename RootT>

uint32_t mSize
| protected